PYMVPA2-DESCRIBE(1)

NAME
pymvpa2-describe - describe a dataset's content

SYNOPSIS
pymvpa2 describe [--version] [-h] -i DATASET [DATASET ...] [-r {txtsummary,sample_histogram}] [--numpy-xfm SPEC] [--figure-title FIGURE_TITLE] [--histogram-bins VALUE] [--xlim XLIM XLIM] [--ylim YLIM YLIM] [--x-marker X_MARKER [X_MARKER ...]] [--y-marker Y_MARKER [Y_MARKER ...]] [--target-attr NAME]

DESCRIPTION
Describe a dataset's content

This command can produce a number of reports for datasets. Currently supported are summary statistics in text format, as well as basic plots. See the --report option for more information.

OPTIONS

--version
    show program's version and license information and exit

-h, --help, --help-np
    show this help message and exit. --help-np forcefully disables the use of a pager for displaying the help.

-i DATASET [DATASET ...], --input DATASET [DATASET ...]
    path(s) to one or more PyMVPA dataset files. All datasets will be merged into a single dataset (vstack'ed) in order of specification. In some cases this option may need to be specified more than once if multiple, but separate, input datasets are required.

-r {txtsummary,sample_histogram}, --report {txtsummary,sample_histogram}
    choose a type of report. Default: terse summary in text format.

  Options for transforming dataset content before plotting:

--numpy-xfm SPEC
    apply a Numpy function along a given axis of the samples before generating the dataset info summary. For example, 'samples:std' will apply the 'std' function along the samples axis, i.e. compute a vector of standard deviations for all features in a dataset

  Options for plot formatting:

--figure-title FIGURE_TITLE
    title for a plot

--histogram-bins VALUE
    number of bin for histograms

--xlim XLIM XLIM
    minimum and maximum value of the x-axis extent in a figure

--ylim YLIM YLIM
    minimum and maximum value of the y-axis extent in a figure

--x-marker X_MARKER [X_MARKER ...]
    list of x-value to draw markers on in a figure

--y-marker Y_MARKER [Y_MARKER ...]
    list of y-value to draw markers on in a figure

  Options for dataset description:

--target-attr NAME
    name of a samples attributes defining 'target'. This information is used to define groups of samples when generating information on the within and between category data structure in a dataset.

AUTHOR
Written by Michael Hanke & Yaroslav Halchenko, and numerous other contributors.

COPYRIGHT
Copyright © 2006-2015 PyMVPA developers

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.